Loading...
Searching...
No Matches
MathicToSingStream Class Reference

## Public Member Functions

| MathicToSingStream (Coefficient modulus, VarIndex varCount)
| ~MathicToSingStream ()
Coefficient | modulus () const
VarIndex | varCount () const
void | idealBegin (size_t polyCount)
void | appendPolynomialBegin (size_t termCount)
void | appendTermBegin (const mgb::GroebnerConfiguration::Component c)
void | appendExponent (VarIndex index, Exponent exponent)
void | appendTermDone (Coefficient coefficient)
void | appendPolynomialDone ()
void | idealDone ()
::ideal | takeIdeal ()

## Private Member Functions

void | deleteIdeal ()

## Private Attributes

const Coefficient | mModulus
const VarIndex | mVarCount
size_t | mPolyCount
poly | mTerm
::ideal | mIdeal

## Detailed Description

Definition at line 24 of file singmathic.cc.

## Constructor & Destructor Documentation

## MathicToSingStream()

MathicToSingStream::MathicToSingStream | ( | Coefficient | modulus,
|  | VarIndex | varCount )

inline

Definition at line 27 of file singmathic.cc.

:
mModulus(modulus),
mVarCount(varCount),
mPolyCount(0),
mTerm(0),
mIdeal(0)
{}
MathicToSingStream::mTerm
poly mTerm
Definition singmathic.cc:102
MathicToSingStream::mIdeal
::ideal mIdeal
Definition singmathic.cc:103
MathicToSingStream::varCount
VarIndex varCount() const
Definition singmathic.cc:40
MathicToSingStream::modulus
Coefficient modulus() const
Definition singmathic.cc:39
MathicToSingStream::mPolyCount
size_t mPolyCount
Definition singmathic.cc:101
MathicToSingStream::mVarCount
const VarIndex mVarCount
Definition singmathic.cc:100
MathicToSingStream::mModulus
const Coefficient mModulus
Definition singmathic.cc:99

## ~MathicToSingStream()

MathicToSingStream::~MathicToSingStream | ( |  | ) |

inline

Definition at line 35 of file singmathic.cc.

{deleteIdeal();}
MathicToSingStream::deleteIdeal
void deleteIdeal()
Definition singmathic.cc:90

## Member Function Documentation

## appendExponent()

void MathicToSingStream::appendExponent | ( | VarIndex | index,
|  | Exponent | exponent )

inline

Definition at line 60 of file singmathic.cc.

{
pSetExp(mTerm, index + 1, exponent);
}
exponent
#define exponent
Definition interpolation.cc:31
index
static int index(p_Length length, p_Ord ord)
Definition p_Procs_Impl.h:592
pSetExp
#define pSetExp(p, i, v)
Definition polys.h:43

## appendPolynomialBegin()

void MathicToSingStream::appendPolynomialBegin | ( | size_t | termCount | ) |

inline

Definition at line 49 of file singmathic.cc.

{}

## appendPolynomialDone()

void MathicToSingStream::appendPolynomialDone | ( |  | ) |

inline

Definition at line 71 of file singmathic.cc.

{
++mPolyCount;
mTerm = 0;
}

## appendTermBegin()

void MathicToSingStream::appendTermBegin | ( | const mgb::GroebnerConfiguration::Component | c | ) |

inline

Definition at line 51 of file singmathic.cc.

{
if (mTerm == 0)
mTerm = mIdeal->m[mPolyCount] = pInit();
else
mTerm = mTerm->next = pInit();
pSetComp(mTerm,c);
}
pSetComp
#define pSetComp(p, v)
Definition polys.h:39
pInit
#define pInit()
allocates a new monomial and initializes everything to 0
Definition polys.h:62

## appendTermDone()

void MathicToSingStream::appendTermDone | ( | Coefficient | coefficient | ) |

inline

Definition at line 65 of file singmathic.cc.

{
mTerm->coef = reinterpret_cast<number>(coefficient);
pSetm(mTerm);
}
pSetm
#define pSetm(p)
Definition polys.h:272

## deleteIdeal()

void MathicToSingStream::deleteIdeal | ( |  | ) |

inline private

Definition at line 90 of file singmathic.cc.

{
if (mIdeal != 0)
{
idDelete(&mIdeal);
mIdeal = 0;
}
}
idDelete
#define idDelete(H)
delete an ideal
Definition ideals.h:29

## idealBegin()

void MathicToSingStream::idealBegin | ( | size_t | polyCount | ) |

inline

Definition at line 42 of file singmathic.cc.

{
deleteIdeal();
mIdeal = idInit(polyCount);
mPolyCount = 0;
}
idInit
ideal idInit(int idsize, int rank)
initialise an ideal / module
Definition simpleideals.cc:35

## idealDone()

void MathicToSingStream::idealDone | ( |  | ) |

inline

Definition at line 77 of file singmathic.cc.

{}

## modulus()

Coefficient MathicToSingStream::modulus | ( |  | ) | const

inline

Definition at line 39 of file singmathic.cc.

{return mModulus;}

## takeIdeal()

::ideal MathicToSingStream::takeIdeal | ( |  | ) |

inline

Definition at line 82 of file singmathic.cc.

{
::ideal id = mIdeal;
mIdeal = 0;
return id;
}

## varCount()

VarIndex MathicToSingStream::varCount | ( |  | ) | const

inline

Definition at line 40 of file singmathic.cc.

{return mModulus;}

## Field Documentation

## mIdeal

::ideal MathicToSingStream::mIdeal

private

Definition at line 103 of file singmathic.cc.

## mModulus

const Coefficient MathicToSingStream::mModulus

private

Definition at line 99 of file singmathic.cc.

## mPolyCount

size_t MathicToSingStream::mPolyCount

private

Definition at line 101 of file singmathic.cc.

## mTerm

poly MathicToSingStream::mTerm

private

Definition at line 102 of file singmathic.cc.

## mVarCount

const VarIndex MathicToSingStream::mVarCount

private

Definition at line 100 of file singmathic.cc.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/singmathic/singmathic.cc